Skip to main content
PUT
Update Mcp Server

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

server_id
integer
required

Body

application/json

Request model for updating MCP server.

name
string | null

Server name

Required string length: 1 - 100
transport
string | null

Transport type

description
string | null

Server description

config
Config · object | null

Transport-specific configuration

is_active
boolean | null

Whether the server is active

Response

Successful Response

Response model for MCP server.

id
integer
required
user_id
integer
required
name
string
required
transport
string
required
description
string | null
required
config
Config · object
required
is_active
boolean
required
is_default
boolean
required
transport_display
string
required
created_at
string | null
required
updated_at
string | null
required
connected_account
string | null
app_id
string | null
provider
string | null